View Issue Details

IDProjectCategoryView StatusLast Update
0010378LazarusIDEpublic2009-03-20 10:55
ReporterMartin Friebe Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.25 (SVN) 
Target Version1.0.0Fixed in Version0.9.26.2 
Summary0010378: various errors, on attempt to use TNotebook (not TPage) as parent
DescriptionObviously placing a component (TLabel, TEdit) directly on the TNotebook, instead of using a TPage is not an allowed action.

However I found that the error handling for this case is not working very well.
(experienced on Vista (0.9.24, 0.9.25 23rd Nov) and Freebsd (0.9.25))

2 different examples. Both starting with a new Project (Application) and a TNotebook (with no pages) placed on an otherwise empty form (place the Notebook somewhere in the middle of the Form)

1)
Select TEdit from the ComponentTab, and click on the notebook (as to create a TEdit as child of the Notebook).
An error is displayed about not able to "move" the TEdit. (This error msg is certainly not helpful, should be changed)
All seems normal, until you place a 2nd TEdit (this time on the form)

The Tree-View in the object Inspector, will now show BOTH TEdits. You can select the TEdit1 in the Treeview (but you can not select it on the Form). It also does not draw correctly. It appears to be somehow incomplete.

2) start again:
This time place the 1st TEdit directly on the Form.
Then use the TreeView in the object Inspector and try to drag and drop the Tedit onto the Notebook.
An Exception is Displayed (should be captured, and a proper Error should be displayed)
Acknowledging the exception with OK allows you to continue working (and so far, I have not found any side effects)
Acknowledging the exception with Cancel, should terminate Lazarus => works on Freebsd, hangs on Vista




TagsNo tags attached.
Fixed in Revision18187, 18188
LazTarget1.0
WidgetsetGTK 2, Win32/Win64
Attached Files

Activities

Paul Ishenin

2009-01-07 14:08

manager   ~0024239

Please test and confirm that r18187 fixes second part of the report

Paul Ishenin

2009-01-07 14:39

manager   ~0024242

The first part is fixed in the r18188

Please test both and close if ok.

Issue History

Date Modified Username Field Change
2007-12-08 02:54 Martin Friebe New Issue
2007-12-08 02:54 Martin Friebe Widgetset => GTK 2, Win32
2007-12-08 06:40 Vincent Snijders LazTarget => 1.0
2007-12-08 06:40 Vincent Snijders Status new => acknowledged
2008-04-24 09:57 Vincent Snijders Target Version => 1.0.0
2009-01-07 14:07 Paul Ishenin Fixed in Revision => 18187
2009-01-07 14:08 Paul Ishenin Note Added: 0024239
2009-01-07 14:39 Paul Ishenin Fixed in Revision 18187 => 18187, 18188
2009-01-07 14:39 Paul Ishenin Status acknowledged => resolved
2009-01-07 14:39 Paul Ishenin Fixed in Version => 0.9.27 (SVN)
2009-01-07 14:39 Paul Ishenin Resolution open => fixed
2009-01-07 14:39 Paul Ishenin Assigned To => Paul Ishenin
2009-01-07 14:39 Paul Ishenin Note Added: 0024242
2009-01-21 01:08 Martin Friebe Status resolved => closed
2009-03-20 10:55 Vincent Snijders Fixed in Version 0.9.27 (SVN) => 0.9.26.2